/* myMusic
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2004-2006, Toni Thomsson <toni@tonjac.org> 
*/

// Implementation of class Cmp3FramesRender

#include "mp3_frames_render.h"
#include "mp3_frames_data.h"
#include "mp3_config.h"
#include "mp3_svc.h"

// Construction
Cmp3FramesRender::Cmp3FramesRender( void* session, CzzParameterMap* cgi )
: CzzOutputRender( CzzString::Format( ".\\%s\\%s\\renderFrames.html", Cmp3Config::getLang().c_str(), Cmp3Config::getSkin().c_str() ) , session, cgi )
{

	this->addFieldSvc( new Cmp3FramesData( ) );
}

// Destruction
Cmp3FramesRender::~Cmp3FramesRender()
{

}

