/* myMusic
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2004-2006, Toni Thomsson <toni@tonjac.org> 
*/

/**
	Renders a songlist for an album

	Toni Thomsson, toni@tonjac.org
*/

#ifndef mp3_song_list_render_h
#define mp3_song_list_render_h

#include <zz_output_render.h>

class Cmp3SongListRender : public CzzOutputRender
{
public:

	//* Construction
	Cmp3SongListRender( void* session, CzzParameterMap* cgi, bool add_radio = false, bool add_m3u = false, bool add_record = false );
	virtual ~Cmp3SongListRender();

	static void updateCache( const CzzString& session, bool add, const CzzString& name, const CzzString& album, const CzzString& song );
	static void updateCache( const CzzString& session, bool add, const CzzString& line );

protected:
private:
	
};

#endif // mp3_song_list_render_h