/* libzz
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2000-2006, Toni Thomsson <toni@tonjac.org> 
*/

/* Windows definitions used in RISLOG, used for builds on HP/UX */

#ifndef winapi_h
#define winapi_h

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <stdarg.h>

#ifdef __cplusplus
	extern "C" {
#endif	

#ifndef _WIN32
	#define _MAX_PATH 256
#ifndef TRUE
	#define TRUE	(int)1
	#define FALSE	(int)0
#endif /* TRUE */
#endif /* WIN32 */

#ifdef _WIN32
	#define WINAPI __stdcall
#endif /* WIN32 */

typedef char* LPSTR;
typedef const char* LPCSTR;
typedef int BOOL;
typedef int* LPINT;
typedef unsigned int UINT;

#ifndef _WIN32

int GetPrivateProfileString( char* section, char* tag, char* dflt, char* value, int size, char* file );
int GetPrivateProfileInt( char* section, char* tag, int dflt, char* fname  );

#endif /* WIN32 */

#ifdef __cplusplus
}

#endif /* __cplusplus */

#endif /* winapi_h */
