/* mini
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2000-2006, Toni Thomsson <toni@tonjac.org> 
*/

#ifndef zz_message_store_h
#define zz_message_store_h

#include <zz_message.h>
#include <zz_string.h>
#include <zz_export.h>
#include <zz_win_threadmutex.h>
#include <zz_db.h>

class ZZ_API CzzMessageStore
{
public:

    virtual ~CzzMessageStore();

    void enqueue( CzzMessage* msg );

    static CzzMessageStore* getInstance( void );
    
protected:
private:
    CzzMessageStore();

    CzzDb m_Db;

    static CzzMessageStore* m_pThis;
    static CzzString getConnect( void );
    static CzzWinThreadMutex m_Mutex;
};

#endif // zz_message_store_h