// Implementation of class Cmp3Util

#include "mp3_util.h"
#include "mp3_http_requester.h"

// Construction
Cmp3Util::Cmp3Util( void ) : m_LastError(), m_LastErrorCode(0)
{

}

// Destruction
Cmp3Util::~Cmp3Util()
{

}

CzzString Cmp3Util::getGlobalIPAdress( void )
{
	CzzString result;

#ifdef _DEBUG
	Cmp3HttpRequester dyndns( "localhost" );
#else
	Cmp3HttpRequester dyndns( "checkip.dyndns.org" );
#endif

	result = dyndns.getPublicIP();

	return result;
}

CzzString Cmp3Util::getLastError( short* error )
{
	*error = m_LastErrorCode;
	return m_LastError;
}

void Cmp3Util::setError( const CzzString& msg, int code )
{
	m_LastErrorCode = code;
	m_LastError = msg;
}
