/* zz
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2004-2006, Toni Thomsson <toni@tonjac.org> 
*/

// Implementation of class Cmp3RegExp

#include "mp3_regexp.h"

#include <boost/regex.hpp>

using namespace boost;

// Construction
Cmp3RegExp::Cmp3RegExp( void )
{

}

// Destruction
Cmp3RegExp::~Cmp3RegExp()
{

}

bool Cmp3RegExp::isValidIP( const string& ip )
{
	regex exp( "\\d{1,3}\\.\\d{1,3}\\.\\d{1,3}\\.\\d{1,3}" );
	return regex_match( ip, exp );
}

bool Cmp3RegExp::match( const string& pattern, const string& value )
{
	regex exp( pattern );
	return regex_match( value, exp );
}

